package cn.com.ty.lift.ud.userComplaint.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.userComplaint.mapper.entity.UserComplaint;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.Date;

/**
 * 用户投诉信息 查询条件
 *
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "用户投诉信息 查询条件")
public final class UserComplaintQuery extends BasePageQuery {
    /**
     * 分类
     */
    @ApiModelProperty("分类")
    private Integer category;
    /**
     * 被投诉用户
     */
    @ApiModelProperty("被投诉用户")
    private String complainedUserName;

    /**
     * 投递人名字
     */
    @ApiModelProperty("投递人名字")
    private String name;

    /**
     * 投诉人手机号
     */
    @ApiModelProperty("投诉人手机号")
    private String mobile;

    /**
     * 投诉时间
     */
    @ApiModelProperty("投诉时间")
    private Date beginDate;

    /**
     * 投诉时间
     */
    @ApiModelProperty("投诉时间")
    private Date endDate;

    /**
     * 查询条件
     *
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<UserComplaint> query = new QueryWrapper<UserComplaint>();

        return query;
    }

    /**
     * 分页条件
     *
     * @return
     */
    @Override
    public IPage page() {
        Page<UserComplaint> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

