package cn.com.ty.lift.ud.userComplaint.service.impl;

import cn.com.ty.lift.ud.userComplaint.controller.query.UserComplaintQuery;
import cn.com.ty.lift.ud.userComplaint.controller.response.UserComplaintResponse;
import cn.com.ty.lift.ud.userComplaint.mapper.UserComplaintMapper;
import cn.com.ty.lift.ud.userComplaint.mapper.entity.UserComplaint;
import cn.com.ty.lift.ud.userComplaint.service.IUserComplaintService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 用户投诉信息 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-24
 */
@Service
@Transactional
public class UserComplaintServiceImpl extends ServiceImpl<UserComplaintMapper, UserComplaint> implements IUserComplaintService {

    @Override
    public RestResponse selectAllByCondition(UserComplaintQuery param) {
        IPage page = param.page();
        List<UserComplaintResponse> list = baseMapper.selectAllByCondition(param);
        Integer count = baseMapper.selectAllCountByCondition(param);
        page.setRecords(list);
        page.setTotal(count);

        return RestResponse.success(page);
    }
}
